PHP, which is a recursive abbreviation for PHP: Hypertext Preprocessor, is one of the most popular general-purpose scripting languages out there. Any website or application built on PHP will run on a given server on the condition that a PHP module is enabled, which renders the language really universal and it’s not at all unusual that there are several million web servers that support it and hundreds of millions of PHP sites running on them. PHP is preferred over HTML thanks to the fact that it enables you to create a responsive website with a multitude of different features. A PHP-based community site, for instance, will serve unique web content to each visitor irrespective of the fact that the page URL will stay unchanged. In comparison, HTML sites are static and the page content itself can be edited only manually. Like any other piece of software, PHP has different versions and the version that was used whilst building a given website must be set up on the server so that the site can run correctly.

PHP 4 and PHP 5 Support in Cloud Hosting

With our cloud plans, you’ll be able to pick the version of PHP that will be active for your account, since different versions are supported on our servers. With as little as one mouse click, you’ll be able to switch between PHP 4, 5.2, 5.3, 5.4 and 5.5 and each time a new version is unveiled in the future, we’ll add it to the Hepsia hosting Control Panel without removing the earlier versions. Thus, you will be able to host all the sites that you have set up throughout the years. In contrast with a lot of other companies, we will not compel you to update such sites, because a script may be outdated, but this does not mean that it is insecure as you may have performed modifications to its code to prevent security gaps. For your convenience’s sake, you’ll even be able to specify a different version of PHP for each site hosted in your hosting account.

PHP 4 and PHP 5 Support in Semi-dedicated Servers

In case you have a site built with an older version of PHP and you have donated time and efforts to developing it, fixing security gaps and adding content, you will need a web hosting service that can support it, since the great majority of web hosting companies these days support only the newest version of PHP and abandon the older versions. We, however, have decided to let you pick the version that your own websites need. Our semi-dedicated hosting plans support multiple versions of PHP 5 as well as PHP 4, which implies that you will be able to run both older and newer scripts without forfeiting any manual modifications or wasting time attempting to make your sites compatible with the web hosting platform. The current version can be changed through the Hepsia hosting Control Panel and such an update will apply to the whole semi-dedicated account, but you’ll also have the ability to select a different version of PHP for each website that you host in your account using an .htaccess file.